Active Topics

 



Notices


Reply
Thread Tools
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#1
I just bought a N9, and I'm not sure whether I like it or not, but that besides. I'm collecting issues, things I cannot do here which I still can do on my N900. here I'm talking about GPS.

on N900 we have Mappero, fine, works, it's based on openstreetmap and nobody is taking that away from us. maps on N9 were Nokia or OVI based and both disappeared in the meanwhile.

I don't know if there is a OSM client on N9, I didn't find it, and the best next thing I found is this project: https://github.com/mfrasca/gpslogger/ (right, I already cloned it, and I'm giving it a try).

well then, the original author of gps-logger made clear, around 2014, that he had moved to other things. the current state of the above software is:

1) the original deb file works.
2) I don't know how to produce an updated deb file,
3) I can install the original deb, start it, overwrite the sources I changed, and my software works until reboot, then I have to go through the same process again,
4) in 2013 Hiroshi Miura managed to get gps-logger to read tiles from the OSM repositories, but I did not manage to get his version to work.

anybody can help?

Last edited by mfrasca; 2018-03-01 at 14:12. Reason: typo correction
 

The Following 4 Users Say Thank You to mfrasca For This Useful Post:
Posts: 475 | Thanked: 906 times | Joined on Aug 2014
#2
Have to say that installing original deb didn't go smoothly for me as all python-pyside dependencies had to be 1.0.2 rather than 1.0.7 that apt-get install wanted to push. Just for interest I required the following:
libpyside1.0_1.0.2-1maemo1+0m6_armel.deb
libshiboken1.0_1.0.2-1maemo1+0m6_armel.deb
python-gconf_2.28.1-1maemo1+0m6_armel.deb
python-pyside_1.0.2-1maemo1+0m6_all.deb
python-pyside.phonon_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtcore_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtdeclarative_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtgui_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtnetwork_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtopengl_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtscript_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtsql_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtsvg_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtwebkit_1.0.2-1maemo1+0m6_armel.deb
python-pyside.qtxml_1.0.2-1maemo1+0m6_armel.deb
 

The Following User Says Thank You to aspergerguy For This Useful Post:
Posts: 12 | Thanked: 24 times | Joined on Feb 2014 @ Germany
#3
Hello,

on the N9 I liked to use Track@Way: https://openrepos.net/content/mp107/trackway

Ronny
 

The Following 3 Users Say Thank You to ronny_b For This Useful Post:
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#4
I don't know if you have any time to spare, and would a look at how to produce a new deb file? so we correct these dependencies? also, then we could have my version in it, and I could keep producing updated deb files when I add/correct things.
the project, as said, is on github.
 

The Following 3 Users Say Thank You to mfrasca For This Useful Post:
Posts: 30 | Thanked: 45 times | Joined on Apr 2016
#5
 

The Following User Says Thank You to MMC For This Useful Post:
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#6
Originally Posted by ronny_b View Post
on the N9 I liked to use Track@Way: https://openrepos.net/content/mp107/trackway
Hi. I had missed this one, thank you. I'm checking again right now, but the main advantage of gpslogger is that it comes with the sources, and it has been released under the GPL3, which allows us to work further on it.

do you remember what you had to do, in order to get to see the map? all the rest seems to work. but then again, without sources we can't do much to it.
 

The Following User Says Thank You to mfrasca For This Useful Post:
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#7
People, please, before suggesting alternatives to this GPS-Logger I found, do first check if the sources are available, and if the license allows us to work further on it. I am currently quite happy with the Qt interface in GPS-Logger, and I'm learning Qt, which I think is a good use of my time. I don't know how to make it read OSM tiles, and I don't know how to re-package it in a deb file, but these are two interesting things to learn, and the result would be something that can be reused by others.
 

The Following 2 Users Say Thank You to mfrasca For This Useful Post:
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#8
************************************************** ******************************
Qt Location requires usage of app_id and token parameters obtained from:
https://api.forum.nokia.com/ovi-api/ui/registration
For more information about app_id and token please consult:
http://doc.qt.nokia.com/qtmobility-l...e-nokia-plugin
************************************************** ******************************


this is at the moment my biggest trouble: I can use the GPS only as long as I don't reboot the system. if I do reboot the system, I need to first remove my current installation, install the original apparently registered app, start it up once, overwrite the relevant files with my modifications.

Actually, I get the above error also when the software does work, while this extra message comes after rebooting:


DBus error:
org.freedesktop.DBus.Error.AccessDenied
Rejected send message, 2 matched rules; type="method_call", sender=":1.215" (uid=29999 pid=3650 comm="python main.py ") interface="com.nokia.positioningd.client" member="configSession" error name="(unset)" requested_reply=0 destination="com.nokia.positioningd.client" (uid=29999 pid=1123 comm="/usr/bin/positioningd "))


I'm quite sure there a solution that does not involve reflashing my phone. I would not like to do that, and I'm behind a network connection where downloading a firmware would take me a couple of days.

Last edited by mfrasca; 2018-03-12 at 02:06.
 

The Following User Says Thank You to mfrasca For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 03:05.